Skip to main content
GET
/
metrics
/
tvl
/
restaking
Retrieve restaking strategies TVL
curl --request GET \
  --url https://api.eigenexplorer.com/metrics/tvl/restaking \
  --header 'X-API-Token: <x-api-token>'
import requests

url = "https://api.eigenexplorer.com/metrics/tvl/restaking"

headers = {"X-API-Token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};

fetch('https://api.eigenexplorer.com/metrics/tvl/restaking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tvl": 1000000,
  "tvlStrategies": {
    "cbETH": 1000000,
    "stETH": 2000000
  },
  "tvlStrategiesEth": {
    "cbETH": 1000000,
    "stETH": 2000000
  },
  "change24h": {
    "value": 10,
    "percent": 0.01
  },
  "change7d": {
    "value": 10,
    "percent": 0.01
  }
}
{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}
{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}
{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}
{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}
{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}
The total TVL (“tvl”), normalized in ETH, do not include the TVL of Eigen tokens as they are currently not transferable. Eigen TVL is denominated in Eigen tokens.

Headers

X-API-Token
string
required

API Token for authentication

Query Parameters

withChange
enum<string>
default:false

Toggle whether the route should return 24h/7d change for TVL

Available options:
true,
false
Example:

"false"

Response

The value of combined restaking strategy TVL and a breakdown of the TVL for each individual strategy.

tvl
number
required

The value of the combined restaking strategy TVL in ETH

Example:

1000000

tvlStrategies
object
required

The total value locked (TVL) in each restaking strategy, denominated in the strategy's native token

Example:
{ "cbETH": 1000000, "stETH": 2000000 }
tvlStrategiesEth
object
required

The total value locked (TVL) in each restaking strategy, denominated in ETH

Example:
{ "cbETH": 1000000, "stETH": 2000000 }
change24h
object
change7d
object